Debian Bug report logs - #727158
ITP: node-cookie-signature -- Sign and unsign cookies using hmac - module for Node.js

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jérémy Lal <kapouer@melix.org>

Date: Tue, 22 Oct 2013 19:27:02 UTC

Owned by: "Jérémy Lal" <kapouer@melix.org>

Severity: wishlist

Fixed in version node-cookie-signature/1.0.1-1

Done: Jérémy Lal <kapouer@melix.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>:
Bug#727158; Package wnpp. (Tue, 22 Oct 2013 19:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Jérémy Lal" <kapouer@melix.org>. (Tue, 22 Oct 2013 19:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: node-cookie-signature -- Sign and unsign cookies using hmac - module for Node.js
Date: Tue, 22 Oct 2013 21:25:29 +0200
Package: wnpp
Severity: wishlist
Owner: "Jérémy Lal" <kapouer@melix.org>

* Package name    : node-cookie-signature
  Version         : 1.0.1
  Upstream Author : TJ Holowaychuk <tj@learnboost.com>
* URL             : https://github.com/visionmedia/node-cookie-signature
* License         : Expat
  Programming Lang: JavaScript
  Description     : Sign and unsign cookies using hmac - module for Node.js

Small module to help signing and unsigning strings using hmac
signature with a secret.
It is used by connect middleware to secure session cookies.
.
Node.js is an event-based server-side javascript engine.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 23 Oct 2013 07:06:06 GMT) Full text and rfc822 format available.

Reply sent to Jérémy Lal <kapouer@melix.org>:
You have taken responsibility. (Fri, 29 Nov 2013 16:04:34 GMT) Full text and rfc822 format available.

Notification sent to Jérémy Lal <kapouer@melix.org>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 16:04:34 GMT) Full text and rfc822 format available.

Message #12 received at 727158-close@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 727158-close@bugs.debian.org
Subject: Bug#727158: fixed in node-cookie-signature 1.0.1-1
Date: Fri, 29 Nov 2013 16:00:15 +0000
Source: node-cookie-signature
Source-Version: 1.0.1-1

We believe that the bug you reported is fixed in the latest version of
node-cookie-signature, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 727158@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Lal <kapouer@melix.org> (supplier of updated node-cookie-signature package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 22 Oct 2013 22:32:56 +0200
Source: node-cookie-signature
Binary: node-cookie-signature
Architecture: source all
Version: 1.0.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Jérémy Lal <kapouer@melix.org>
Description: 
 node-cookie-signature - Sign and unsign cookies using hmac - module for Node.js
Closes: 727158
Changes: 
 node-cookie-signature (1.0.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #727158)
Checksums-Sha1: 
 86c022ccf2522faca3c16cd20bfc4df033113b39 2103 node-cookie-signature_1.0.1-1.dsc
 149b7737d86384558e8697533ad78f9f796a0dc6 2132 node-cookie-signature_1.0.1.orig.tar.gz
 280b2c8ff53459e01424c8c3c60319a22b7f8d88 1935 node-cookie-signature_1.0.1-1.debian.tar.gz
 f0f8a3ea57449153ab3cbc0f14c0068bd80c8254 2992 node-cookie-signature_1.0.1-1_all.deb
Checksums-Sha256: 
 61f71c89308b0c7c700115f97f8e4e192f3046fc55154a47b6b81d321100936a 2103 node-cookie-signature_1.0.1-1.dsc
 92135ea49dd7d8aa92a913406f309a31a19d36a7dfa1c2a9b2229e01ebf37a6f 2132 node-cookie-signature_1.0.1.orig.tar.gz
 bd758d806c622a9ec1e4396e6c90b440c4b2343e70364d92fc2f89fab21040aa 1935 node-cookie-signature_1.0.1-1.debian.tar.gz
 b53cb6b5564b6600fa3a9786cd57266a354777c45a6c3e4b6cbba4fac02cfd84 2992 node-cookie-signature_1.0.1-1_all.deb
Files: 
 75f635cdf5a5be3679f6ca0957791734 2103 web extra node-cookie-signature_1.0.1-1.dsc
 6d2fc82d0d73137f7efa7789f512bba1 2132 web extra node-cookie-signature_1.0.1.orig.tar.gz
 4c95baf02fc5a7afd1bb3a7fbf9f961b 1935 web extra node-cookie-signature_1.0.1-1.debian.tar.gz
 d2bfaafe446bb971f539ab4305c4a34b 2992 web extra node-cookie-signature_1.0.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSZuEOAAoJEGYRwF7dOfN04CsP/069Om3sHKNq6d/K75X8BLki
ZN1oaKburhqqRdg2+cdrzvfXGd9DxGgufGYsRDhOD1RoZK0YBomIPUN+nPPLhNj5
HpcB2TVtXVKjumevkee3krn/GUiMhwLn6gzJG9rVKLnbq9Sq+dEE80QGXQhNvUIg
OQhE2O1wqEe7vwNFnhZIkXwZuZvnyprBEzsU93FSzexYy9nn89cFXx5SiPvNoX2K
6RJn20KAWKGm0iRX65Srrljkj9O/M/il2KzeWwMWf3UK8nx6O3Wzqbhm4CPHcAoz
fefozhsp0PD+azBcm58MzAFRC0Ij9H/Kn8DoSKpwKVpx4ed0Ph3nfJ1fdjcGLcCC
kvbrrbPZTzeNEDUtwJFWWNYCqUjoLcw909bTAMLmynqtjb2ewaeujpcDTj5E0tPm
hoCU9US/R9OrwF7Bc2ODo2+OfdiaE/M3tltWhXAEE9VLUPUtmeNeTXWa5uML4NV3
Wutxk9zERrWp31oNoEoL/1YYbyus4xaIzi28eyrcmTF5Enwv22hPMt+wI6Um0kZR
0S0DoRTBTI/H5u8oeArOKZvUMSeioGe2NmlvrP0uTKZX9TnBF2SBJVIorOd02tQu
/2YfXkx6OhaCoWriCgP3k/nba1n88ZiV/q5h9oYA3GOaAkQXOKdUL2iRHSXWOtWX
ENEDSH1jnm+pV6x5f3M+
=ejyM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:36:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:36:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.